Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/pci/i386.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/pci/i386.c~gregkh-pci-pci-io_remap_pfn_range arch/i386/pci/i386.c
--- devel/arch/i386/pci/i386.c~gregkh-pci-pci-io_remap_pfn_range	2005-09-07 20:10:12.000000000 -0700
+++ devel-akpm/arch/i386/pci/i386.c	2005-09-07 20:10:12.000000000 -0700
@@ -283,9 +283,9 @@ int pci_mmap_page_range(struct pci_dev *
 	/* Write-combine setting is ignored, it is changed via the mtrr
 	 * interfaces on this platform.
 	 */
-	if (remap_pfn_range(vma, vma->vm_start, vma->vm_pgoff,
-			     vma->vm_end - vma->vm_start,
-			     vma->vm_page_prot))
+	if (io_remap_pfn_range(vma, vma->vm_start, vma->vm_pgoff,
+			       vma->vm_end - vma->vm_start,
+			       vma->vm_page_prot))
 		return -EAGAIN;
 
 	return 0;
_
